#include <iostream>
#include <vector>
#include <algorithm>
#include <cassert>

#define debug(x) #x << " = " << x << '\n'
using ll = long long;
using i128 = __int128;

i128 find_sum(i128 a, i128 b) {
    return a + b;
}
